about summary refs log tree commit diff
path: root/distributed/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'distributed/test.sh')
-rwxr-xr-xdistributed/test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/distributed/test.sh b/distributed/test.sh
new file mode 100755
index 000000000000..38116eba5dd1
--- /dev/null
+++ b/distributed/test.sh
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+set -e
+
+storeExpr=$(nix-instantiate ~/nixpkgs/pkgs/system/test.nix)
+
+export NIX_BUILD_HOOK="build-remote.pl"
+
+../src/nix-store/nix-store -qnvvvv -j0 $storeExpr